Get Risk Details

List risks in an account with their priority and impact.

This method lists the risks based on Priority (Act/ Attend/ Track*/ Track), also includes risk information such as ID, Title, Affected Products, Affected Devices, Mission Prevalence, Exploitation Status, Automatable, Technical Impact, and Fix details. In this API, specifying ‘row_limit:0’ will fetch all the entries.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.RiskPrioritization.getDetails(
  organization="Demo Org",
  account_name="Demo Account",
  row_limit=1
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the organization requesting the risk details.

string
required

Name of the account associated with the organization.

integer

Number of rows to fetch. Setting row_limit to 0 retrieves all entries.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json